
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java太阳系小游戏分析和源码详解_java / iVAN</title>

    <meta name="description" content="Java太阳系小游戏分析和源码详解_java 最近看了面向对象的一些知识,然后跟着老师的讲解做了一个太阳系各行星绕太阳转的小游戏,来练习巩固一下最近学的知识: 用到知识点:类的继承.方法的重载与重写.多态.封装等 分析: 1.需要加载图片.画图 2.建一个面板,主页面 3.行星类 效果图: 先看一下源码结构图: 现在逐步分析各个类的功能: 1)工具类-----util包中     --Constant类   封装了游戏中用到的常量     --GameUtil类  封装了游戏的图片加载功能     --MyFrame类  封装了游戏面板的构">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java太阳系小游戏分析和源码详解_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近看了面向对象的一些知识，然后跟着老师的讲解做了一个太阳系各行星绕太阳转的小游戏，来练习巩固一下最近学的知识：</p>
<p>用到知识点：类的继承、方法的重载与重写、多态、封装等</p>
<p><strong>分析：</strong></p>
<p>1.需要加载图片、画图</p>
<p>2.建一个面板，主页面</p>
<p>3.行星类</p>
<p><strong>效果图：</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1ODEwODU5Mjk5NTcucG5n.jpg"></p>
<p>先看一下源码结构图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1ODEwOTAwMjA0ODkucG5n.jpg"></p>
<p>现在逐步分析各个类的功能：</p>
<p><strong>1)工具类-----util包中</strong></p>
<p>    --Constant类   封装了游戏中用到的常量</p>
<p>    --GameUtil类  封装了游戏的图片加载功能</p>
<p>    --MyFrame类  封装了游戏面板的构造，用于各面板的父类</p>
<p>    ------之所以这样做，目的是为了封装数据，便于程序的扩充</p>
<p><strong>Constant.java</strong></p>
<pre>
package util; 

public class Constant {
  public static final int GAME_WIDTH = 800;
  public static final int GAME_HEIGHT = 600; 

} </pre>
<p><strong>GameUtil.java</strong></p>
<pre>
package util; 

import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL; 

import javax.imageio.ImageIO; 

/**
 * 工具类（加载图片）
 * @author long
 *
 */
public class GameUtil { 

  private GameUtil(){ } //工具类通常将构造方法私有 

  public static Image getImage(String path){
    URL u = GameUtil.class.getClassLoader().getResource(path);
    BufferedImage img = null;
    try {
      img = ImageIO.read(u);
    } catch (IOException e) {
      e.printStackTrace();
    }
    return img;
  }
} </pre>
<p><strong>MyFrame.java<br /></strong></p>
<pre>
package util; 

import javax.swing.JFrame;
import javax.swing.JPanel; 

/**
 * 游戏面板的父类
 * @author long
 *
 */
public class MyFrame extends JPanel{ 

  /**
   * 加载Frame的方法
   */
  public void launchFrame(){
    JFrame frame = new JFrame("MyGame");
    frame.add(this);
    frame.setSize(Constant.GAME_WIDTH,Constant.GAME_HEIGHT);
    frame.setAlwaysOnTop(true); // 设置其总在最上
    frame.setLocationRelativeTo(null); // 设置窗体初始位置
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setVisible(true); 

    new PaintThread().start();
  } 

  /**
   * 定义一个重画窗口的线程类，是一个内部类
   * @author dell
   *
   */
  class PaintThread extends Thread { 

    public void run(){
      while(true){
        repaint();
        try {
          Thread.sleep(40); //1s = 1000ms
        } catch (InterruptedException e) {
          e.printStackTrace();
        }
      }
    } 

  } 

  public static void main(String[] args) {
    new MyFrame().launchFrame();
  } 

}</pre>
<p> 2)主要的事件处理类---solar包中<br />
    --Planet类   行星类继承至Star类</p>
<p>    --SolarFrame类  游戏主面板类继承至MyFrame类</p>
<p>    --Star类  星球类，各个星球的父类</p>
<p>    --Test类  测试类，不需要说明</p>
<p><strong>Planet.java</strong></p>
<pre>
package solar; 

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Image; 

import util.GameUtil; 

/**
 * 行星类，继承至Star类
 * @author long
 *
 */
public class Planet extends Star{
  //除了图片、坐标，行星沿着椭圆运行：长轴、短轴、移动速度、旋转角度。绕着某个star运行
  double longAxis;  //椭圆长轴
  double shortAxis; //椭圆短轴
  double speed;   //飞行速度
  double degree;   //旋转角度
  Star center;    //围绕行星 

  public void draw(Graphics g){
    //g.drawImage(img, (int)x, (int)y, null);
    super.draw(g);
    drawTrace(g);
    move();
  } 

  public void drawTrace(Graphics g){
    double traceX,traceY,traceWidth,traceHeight;
    traceX = (center.x+center.w/2)-longAxis;
    traceY = (center.y+center.h/2)-shortAxis;
    traceWidth = 2*longAxis;
    traceHeight = 2*shortAxis; 

    Color c = g.getColor();
    g.setColor(Color.blue);
    g.drawOval((int)traceX, (int)traceY, (int)traceWidth, (int)traceHeight);
    g.setColor(c);
  } 

  public void move(){
    //沿着椭圆轨迹飞行
    x = center.x + longAxis * Math.cos(degree);
    y = center.y + shortAxis * Math.sin(degree);
    degree += speed;
  } 

  public Planet(Image img,double x,double y){
    super(img,x,y);
  }
  public Planet(String imgpath,double x,double y){
    super(imgpath,x,y);
  }
  public Planet( Star center,Image img,double longAxis,
          double shortAxis,double speed) {
    super();
    this.x = (center.x+center.w/2) + longAxis;
    this.y = (center.y+center.h/2) + shortAxis;
    this.img = img;
    this.longAxis = longAxis;
    this.shortAxis = shortAxis;
    this.speed = speed;
    this.center = center;
  }
  public Planet( Star center,String imgPath,double longAxis,
        double shortAxis,double speed) {
    this(center,GameUtil.getImage(imgPath),longAxis,shortAxis,speed);
  } 

}</pre>
<p><strong>SolarFrame.java</strong></p>
<pre>
package solar; 

import java.awt.Graphics;
import java.awt.Image; 

import util.Constant;
import util.GameUtil;
import util.MyFrame; 

public class SolarFrame extends MyFrame{ 

  int width = Constant.GAME_WIDTH/2;
  int height = Constant.GAME_HEIGHT/2; 

  Image bg=GameUtil.getImage("images/bg.png"); 

  Star sun = new Star("images/sun.jpg",width,height);
  Planet earth = new Planet(sun,"images/earth.png",100,60,0.1);
  Planet mars = new Planet(sun,"images/mars.png",180,100,0.15); 

  @Override
  public void paint(Graphics g) {
    g.drawImage(bg, 0, 0, null);
    sun.draw(g);
    earth.draw(g);
    mars.draw(g);
  } 

  public static void main(String[] args) {
    new SolarFrame().launchFrame();
  } 

} </pre>
<p><strong>Star.java</strong></p>
<pre>
package solar; 

import java.awt.Graphics;
import java.awt.Image; 

import util.GameUtil; 

public class Star {
  public Image img;
  public double x,y;
  int w,h; 

  public void draw(Graphics g){
    g.drawImage(img, (int)x, (int)y, null);
  } 

  public Star(){
  }
  public Star(Image img){
    this.img = img;
    this.w = img.getWidth(null);
    this.h = img.getHeight(null);
  }
  public Star(Image img,double x,double y){
    this(img);
    this.x = x;
    this.y = y;
  }
  public Star(String imgPath,double x,double y){
    this(GameUtil.getImage(imgPath),x,y);
  } 

} 
</pre>
<p><strong>总结：</strong>该小游戏对代码的封装处理的比较好，便于程序的扩充，体现了面向对象的强大，不同的功能封装在不同的类与方法中，把类的公共的部分封装在父类中，提高代码的重用性。前期各个类写的过程中会有各种小问题与细节，但处理完这些后，后期想扩充行星的个数就比较简单了，new一个行星对象，然后画的面板上即可。面向对象水太深，这只是初步小涉猎，仍需继续努力专研！！！</p>
<p>以上就是Java太阳系小游戏分析和源码详解，希望对大家学习java语言有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索Java小游戏源码<br />
                                    Java太阳系小游戏<br />
                                    java太阳系源码下载、java小游戏源代码、java简单小游戏源代码、java小游戏源代码下载、java扫雷小游戏源代码，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 06:48:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java%e5%a4%aa%e9%98%b3%e7%b3%bb%e5%b0%8f%e6%b8%b8%e6%88%8f/" title="Java太阳系小游戏">Java太阳系小游戏</a>, <a href="https://www.iamivan.net/tag/java%e5%b0%8f%e6%b8%b8%e6%88%8f%e6%ba%90%e7%a0%81/" title="Java小游戏源码">Java小游戏源码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java太阳系小游戏分析和源码详解_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYN4DQp.html" rel="bookmark">java中哈希表及其应用详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				哈希表也称为散列表,是用来存储群体对象的集合类结构. 什么是哈希表 数组和向量都可以存储对象,但对象的存储位置是随机的,也就是说对象本身与其存储位置之间没有必然的联系.当要查找一个对象时,只能以某种顺序(如顺序查找或二分查找)与各个元素进行比较,当数组或向量中的元素数量很多时,查找的效率会明显的降低. 一种有效的存储方式,是不与其他元素进行比较,一次存取便能得到所需要的记录.这就需要在对象的存储位置和对象的关键属性(设为 k)之间建立一个特定的对应关系(设为 f),使每个对象与一个唯一的存储位置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWxjVEp.html" rel="bookmark">JAVA中static方法的用法实例详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JAVA中static方法的用法.分享给大家供大家参考,具体如下: static表示&quot;全局&quot;或者&quot;静态&quot;的意思,用来修饰成员变量和成员方法,也可以形成静态static代码块,但是Java语言中没有全局变量的概念. 被static修饰的成员变量和成员方法独立于该类的任何对象.也就是说,它不依赖类特定的实例,被类的所有实例共享.只要这个类被加载,Java虚拟机就能根据类名在运行时数据区或者方法区内找到他们.因此,static对象可以在它的任何对象创建之前访			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7DoYb.html" rel="bookmark">Java的JSON处理器fastjson使用方法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				fastjson 是一个性能很好的 Java 语言实现的 JSON 解析器和生成器,来自阿里巴巴的工程师开发. 主要特点: • 快速FAST (比其它任何基于Java的解析器和生成器更快,包括jackson) • 强大(支持普通JDK类包括任意Java Bean Class.Collection.Map.Date或enum) • 零依赖(没有依赖其它任何类库除了JDK) 示例代码: import com.alibaba.fastjson.JSON; Group group = new Group			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmYV0qp.html" rel="bookmark">微信 小程序前端源码详解及实例分析&lowbar;其它综合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信小程序前端源码逻辑和工作流 看完微信小程序的前端代码真的让我热血沸腾啊,代码逻辑和设计一目了然,没有多余的东西,真的是大道至简. 废话不多说,直接分析前端代码.个人观点,难免有疏漏,仅供参考. 文件基本结构: 先看入口app.js,app(obj)注册一个小程序.接受一个 object 参数,其指定小程序的生命周期函数等.其他文件可以通过全局方法getApp()获取app实例,进而直接调用它的属性或方法,例如(getApp().globalData) //app.js App({ onLau			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmVoap.html" rel="bookmark">Java 8 新特性终极版指南详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: Java 8已经公布有一段时间了,种种迹象表明Java 8是一个有重大改变的发行版.在Java Code Geeks上已经有很多介绍Java 8新特性的文章,例如Playing with Java 8 – Lambdas and Concurrency.Java 8 Date Time API Tutorial : LocalDateTime和Abstract Class Versus Interface in the JDK 8 Era.本文还参考了一些其他资料,例如:15 Must			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmEJ7Dp.html" rel="bookmark">java提高篇（二三）-----HashMap详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HashMap也是我们使用非常多的Collection,它是基于哈希表的 Map 接口的实现,以key-value的形式存在.在HashMap中,key-value总是会当做一个整体来处理,系统会根据hash算法来来计算key-value的存储位置,我们总是可以通过key快速地存.取value.下面就来分析HashMap的存取. 一.定义 HashMap实现了Map接口,继承AbstractMap.其中Map接口定义了键映射到值的规则,而AbstractMap类提供 Map 接口的骨干实现,以最			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N66Jz.html" rel="bookmark">Java中FilterInputStream和FilterOutputStream的用法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				FilterInputStream FilterInputStream 的作用是用来&quot;封装其它的输入流,并为它们提供额外的功能&quot;.它的常用的子类有BufferedInputStream和DataInputStream. BufferedInputStream的作用就是为&quot;输入流提供缓冲功能,以及mark()和reset()功能&quot;. DataInputStream 是用来装饰其它输入流,它&quot;允许应用程序以与机器无关方式从底层输入流中读取基本 Java 数据类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24jxkp.html" rel="bookmark">Java中自然排序和比较器排序详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 当指执行插入排序.希尔排序.归并排序等算法时,比较两个对象&quot;大小&quot;的比较操作.我们很容易理解整型的 i&gt;j 这样的比较方式,但当我们对多个对象进行排序时,如何比较两个对象的&quot;大小&quot;呢?这样的比较 stu1 &gt; stu2 显然是不可能通过编译的.为了解决如何比较两个对象大小的问题,JDK提供了两个接口 java.lang.Comparable 和 java.util.Comparator . 一.自然排序:java.lang.Comparable C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Z1JgM.html" rel="bookmark">使用Java设置字型和颜色的方法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java绘图中,显示文字的方法主要有三种: (1)drawString(String str,int x,int y):在指定的位置显示字符串. (2)drawChars(char data[],int offset,int length, int x, int y):在指定的位置显示字符数组中的文字,从字符数组的offset位置开始,最多显示length个字符. (3)drawBytes(byte data[],int offset,int length,int x,int y), 在指定的位			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWKBEM.html" rel="bookmark" class="title">NEFU 461 递推式转通项公式</a>
					<div>
						网址:http://acm.nefu.edu.cn/test/problemshow.php #include &lt;iostream&gt; #include&lt;cstdio&gt; #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEA0ob.html" rel="bookmark" class="title">JavaScript 根据屏幕解析度显示不同网页</a>
					<div>
						javascript|网页|显示 为了增加网页的魅力,你也可以针对不同的屏幕解析度设计不同的网页.这样当使用者浏览你的网页时,就会配合屏幕解析度,自动显示出适合浏览的网页画面,不但帮助使用者省去调整荧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQyJ8b.html" rel="bookmark" class="title">列出服务器上的打印机</a>
					<div>
						打印|服务器 组件逻辑 这个组件以&quot;硬方式&quot;编写以便说明如何在VB中调用Wivdons API, 如果你使用VB5中的printer 类也可以实现相同的功能. 这个组件调用了由Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm5mqp.html" rel="bookmark" class="title">让友情链接回归友情 我的战友你何时归</a>
					<div>
						昨天(5月17日)一早,检查博客友情链接时发现一个链接网站首页被K,QQ上多次联系他,提醒他检查,采取措施,结果他老兄QQ在线,至今36个小时却没有任何回音,我一怒之下,删除了事--这个友情链接挂上去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91JoKM.html" rel="bookmark" class="title">如何用编程获取CD-ROM的驱动器盘符</a>
					<div>
						[提出问题] 最近我正在开发一个程序,任务是从CD-ROM上读取文件,如视频和音频文件.因为每一台机器上的情况都不一样.如何知道CD-ROM驱动器呢? [解答] 首先,一台机器可能有不止一个CD-RO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW16mmz.html" rel="bookmark" class="title">HTML代码编写汇集</a>
					<div>
						            HTML即超文本标记语言(HypertextMarkupLanguage),也叫WEB网页语言,做网页了解它是必要的,虽然现在有很多制作网页的工具如:Dreamwvear,Fr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK8NOp.html" rel="bookmark" class="title">上网本安装Win7的技巧</a>
					<div>
						众所周知Windows 7对电脑的硬件需求非常低,不仅远远低于vista系统,一些用户甚至发现安装Windows 7比Windows XP的硬件需求还要低.于是很多上网本用户也想把Windows 7安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP9xQM.html" rel="bookmark" class="title">PhotoShop绘制彩色铅笔插画效果教程</a>
					<div>
						效果图: 1.新建450X630PX画布 分辩率72 ,新建图层,距形选框工具画一个铅笔主体形状,填充颜色. 2.选出右边三分之一处,羽化1. 3.把选区用曲线把亮度拉低一点. 分类: PS鼠绘教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY6VKM.html" rel="bookmark" class="title">iTools升级刷机不用愁 资料恢复轻松搞定</a>
					<div>
						使用iPhone对刷机或者升级应用都会遇到一个问题,那就是刷机或者升级后,手机里的记录会丢失.这里教大家用iTools简单备份,就能在升级或者刷机后能快速的恢复手机的资料. iTools最新版界面 S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6X6Ab.html" rel="bookmark" class="title">win7默认浏览器怎么设置</a>
					<div>
						  win7默认浏览器设置方法 方法一 一:在电脑的左下角开始按钮里找到 &quot;控制面板&quot; 再到 &quot;程序&quot; 最后再默认程序里面选择&quot;设定默认程序&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwnJdp.html" rel="bookmark" class="title">win7异常关机的原因和解决方案</a>
					<div>
						  虽然win7 64位旗舰版的功能非常强,而且用户体验也非常之好,但这并不意味着每一个系统都不会出现故障,所以在很多用户在使用的win7旗舰版一段时间之后总会遇到无法正常关机的状况.当系统出现无法关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EAq5M.html" rel="bookmark" class="title">如何在Windows系统上安装微信</a>
					<div>
						微信是腾讯公司推出的一个为智能手机提供即时通讯服务的免费应用程序. 说的很清楚了,是智能手机上运行的程序,需要智能手机的支持,如果手机不是智能的,那就没有办法使用了. 一般情况下,手机上的软件是不可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badD1Jz.html" rel="bookmark" class="title">美拍视频怎么加字幕</a>
					<div>
						  怎么加字幕?怎么将美拍拍的好看?关于美拍的一些小技巧本文将为大家奉上,希望对你们有所帮助.   美拍怎么上热门 一般自己拍的都会在广场上有,看的人多了就会变成热门,最好的办法就是提高自己视频的点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd62Q1b.html" rel="bookmark" class="title">如何防止电脑死机</a>
					<div>
						只要你使用电脑,电脑的死机问题就时刻伴随着你,这也许是你使用电脑的过程中最常遇到的问题之一了.而造成死机的原因却又是扑朔迷离,让人难以捉摸.其实,正常情况下死机是可以避免的.下面的死机根源提示,也许会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWLOop.html" rel="bookmark" class="title">电脑搜狗手机助手怎么卸载</a>
					<div>
						  搜狗手机助手怎么卸载呢,手机中卸载软件我们只要长按就可以了,当然在安卓中我们在管理中就可以卸载掉软件了,下面我们来看一篇关于卸载搜狗手机助手方法,具体的操作细节如下所示. 1.我们在打开360浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze78wwM.html" rel="bookmark" class="title">iOS中管理剪切板的UIPasteboard粘贴板类用法详解&lowbar;IOS</a>
					<div>
						一.自带剪切板操作的原生UI控件在iOS的UI系统中,有3个控件自带剪切板操作,分别是UITextField.UITextView与UIWebView.在这些控件的文字交互处进行长按手势可以在屏幕视图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7Lomp.html" rel="bookmark" class="title">Dart云平台-DartPad</a>
					<div>
						如果你想体验Dart语言,但又不想在你的电脑上安装Dart开发环境,那你可以使用Google提供的Dart云编译服务--DartPad DartPad是一个自由.开放的源码服务,帮助开发人员学习Dar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRDYXz.html" rel="bookmark" class="title">jsp-JSP &dollar;&lbrace;sessionScope&period;uNames&rcub; EL表达式不知道如何判断是否为&OpenCurlyDoubleQuote;  &rdquo;</a>
					<div>
						问题描述 JSP ${sessionScope.uNames} EL表达式不知道如何判断是否为&quot; &quot; ${sessionScope.uNames}如果有值可以用if(XX!=nul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAPvRM.html" rel="bookmark" class="title">BaaS后端即服务 - 概念篇</a>
					<div>
						什么是BaaS? BaaS(Backend as a Service)是一种新型的云服务,旨在为移动和Web应用提供后端云服务,包括云端数据/文件存储.账户管理.消息推送.社交媒体整合等.BaaS是垂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmkZ3M.html" rel="bookmark" class="title">数据库-sql server新插入一列报错</a>
					<div>
						问题描述 sql server新插入一列报错 sqlserver数据库想在一列后面新加一列 alter table Factors_copy Add EPIBS DECIMAL(18,5) AFTER ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z3qqp.html" rel="bookmark" class="title">cortex m3 uc os-cortex m3移植uC&sol;OS后程序运行一段时间停止或者跑飞</a>
					<div>
						问题描述 cortex m3移植uC/OS后程序运行一段时间停止或者跑飞 鄙人最近需要在Atmel sam3x8e开发板上移植uC/OS操作系统,移植成功之后发现系统运行一段时间后总是会跑飞或者停止. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rLkJz.html" rel="bookmark" class="title">团队说：专注团队沟通与项目推进的移动办公app</a>
					<div>
						团队说是一款具有广泛普适的团队沟通和事件推进app,它能导入全成员通讯录信息.邀请通讯录好友进入团队.实时发起单人和多人沟通(一分钟快速组建团队).并能智能提起沟通内容中的人.事件.时间.地点等元素自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eeB1b.html" rel="bookmark" class="title">Automated Builds on Docker Hub</a>
					<div>
						page_title: Automated Builds on Docker Hub page_description: Docker Hub Automated Builds page_keywor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkl51M.html" rel="bookmark" class="title">MySQL &CenterDot; TokuDB &CenterDot; Savepoint漫谈</a>
					<div>
						问题描述 某TokuDB实例备库发生复制中断,报错信息甚是诡异: Error executing row event: &quot;Can't lock file (errno: 22 - Inval ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnx4PM.html" rel="bookmark" class="title">届时SAP的律师也将出庭进行公开辩论</a>
					<div>
						惠普拒绝透露,其即将上任的新CEO李艾科(Leo Apotheker)是否将在甲骨文与SAP的商业机密案中作证.李艾科是SAP前CEO.惠普也没有明确表示,李艾科是否将前往惠普总部开始新的工作.甲骨文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnX3xp.html" rel="bookmark" class="title">高级php注入方法集锦第1&sol;2页&lowbar;php技巧</a>
					<div>
						'%23  ' and passWord='mypass  id=-1 union select 1,1,1  id=-1 union select char(97),char(97),char(97 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmjqNz.html" rel="bookmark" class="title">asp&period;net上传图片并作处理水印与缩略图的实例代码&lowbar;实用技巧</a>
					<div>
						方法类: 复制代码 代码如下: upFileClass.cs using System;using System.Data;using System.Configuration;using Syste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOR04b.html" rel="bookmark" class="title">js简单实现调整网页字体大小的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js简单实现调整网页字体大小的方法.分享给大家供大家参考,具体如下: //var tgs = new Array('div','td','tr'); var tgs = new Arra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkLVdM.html" rel="bookmark" class="title">JS获取几种URL地址的方法小结&lowbar;javascript技巧</a>
					<div>
						以下为JS获取几种URL地址的方法 复制代码 代码如下: thisURL = document.URL;thisHREF = document.location.href;thisSLoc = sel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N0P3p.html" rel="bookmark" class="title">A Java RunTime Environment &lpar;JRE&rpar; or Java Development Kit &lpar;JDK&rpar; must be available in order to run Ecl</a>
					<div>
						        新年上班第一天,Eclipse就闹别扭了,打开时报错(以管理员权限运行依旧报错) A Java RunTime Environment (JRE) or Java Developmen ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
